<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for NUCLEO-L476RG Applications</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-nucleo-l476rg-applications"><small>Release Notes for</small> <mark>NUCLEO-L476RG Applications</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under Ultimate Liberty license SLA0044 (the “License”). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="http://www.st.com/SLA0044">http://www.st.com/SLA0044</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the applications to demonstrate the capabilities of the NUCLEO-L476RG Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section17" checked aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>FreeRTOS Applications
<ul>
<li>Add FreeRTOS_MPU application</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="no-change-1">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.9.0 / 25-August-2017</label>
<div>
<h2 id="no-change-2">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section13" aria-hidden="true"> <label for="collapse-section13" aria-hidden="true">V1.8.1 / 16-June-2017</label>
<div>
<h2 id="no-change-3">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.8.0 / 21-April-2017</label>
<div>
<h2 id="no-change-4">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section11" aria-hidden="true"> <label for="collapse-section11" aria-hidden="true">V1.7.0 / 17-February-2017</label>
<div>
<h2 id="no-change-5">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section10" aria-hidden="true"> <label for="collapse-section10" aria-hidden="true">V1.6.0 / 28-October-2016</label>
<div>
<h2 id="no-change-6">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section9" aria-hidden="true"> <label for="collapse-section9" aria-hidden="true">V1.5.2 / 12-September-2016</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li>FreeRTOS Applications
<ul>
<li>Fix TrueSTUDIO project configuration</li>
<li>Fix LED2 reference in readme.txt</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section8" aria-hidden="true"> <label for="collapse-section8" aria-hidden="true">V1.5.0 / 29-April-2016</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li>FreeRTOS Applications
<ul>
<li>For RTOS cohabitation HAL library is now based on 1ms timebase from TIM peripheral (new file stm32l4xx_hal_timebase_tim.c added in project).</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section7" aria-hidden="true"> <label for="collapse-section7" aria-hidden="true">V1.4.0 / 26-February-2016</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li>FreeRTOS_ThreadCreation
<ul>
<li>Update with thread suspend and resume for better readibility of LED toggling illustrating threads execution</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section6" aria-hidden="true"> <label for="collapse-section6" aria-hidden="true">V1.3.0 / 29-January-2016</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li>Update of all Applications projects with latest system_stm32l4xx.c from STM32L4xx CMSIS Device</li>
<li>STM2Cube Level 1 &amp; 2 source files license model changed from “Liberty” to new license “Ultimate Liberty”</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section5" aria-hidden="true"> <label for="collapse-section5" aria-hidden="true">V1.2.0 / 25-November-2015</label>
<div>
<h2 id="no-change-7">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section4" aria-hidden="true"> <label for="collapse-section4" aria-hidden="true">V1.1.1 / 16-October-2015</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li>Fine-tuning of all Applications projects: stm32l4xx_hal_conf.h files updated to set Flash prefetch off in line with default system configuration</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section3" aria-hidden="true"> <label for="collapse-section3" aria-hidden="true">V1.1.0 / 16-September-2015</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li>Add support of System Workbench for STM32 (SW4STM32) toolchain.</li>
<li>FreeRTOS
<ul>
<li>Reduce FreeRTOS heap size accordingly to OS resources used inside the application with a margin of 10% rounded to the upper Kb. The FreeRTOS heap size is down to 2 Kb instead of default 15 Kb (see TOTAL_HEAP_SIZE in FreeRTOSConfig.h).</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section2" aria-hidden="true"> <label for="collapse-section2" aria-hidden="true">V1.0.0 / 26-June-2015</label>
<div>
<h2 id="main-changes-7">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
